Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Interface ExportingTransactionManager

All Known Implementing Classes:
  TrmiTransactionManager

    public interface ExportingTransactionManager

An interface for a TM that allows outgoing remote calls to be transactional. WARNING: this interface and its mechanisms are subject to several patents and pending patents held by Atomikos. Regardless the license under which this interface is distributed, third-party use is NOT allowed without the prior and explicit written approval of Atomikos.

Method Summary
`void` | `addExtent(Extent extent)` Called after call returns successfully: add the extent of the call to the current tx.
`Propagation` | `getPropagation()` Get the propagation info of the tx for the calling thread.

Method Detail

### getPropagation

    Propagation getPropagation()
                               throws SysException,
                                      RollbackException

  Get the propagation info of the tx for the calling thread. Called before doing the remote call.

  Returns:
    Propagation The propagation for the current thread.
  Throws:
    `SysException` - If no tx for current thread.
    `RollbackException` - If the current transaction has already rolled back.

### addExtent

    void addExtent(Extent extent)
                   throws SysException,
                          RollbackException

  Called after call returns successfully: add the extent of the call to the current tx. If a remote call has failed, this method should NOT be called.

  Parameters:
    `extent` - The extent of the call.
  Throws:
    `RollbackException` - If the current transaction has already rolled back.
    `SysException` - On failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.